html {

    background-color: cornsilk;
}

.headLine {
    width: 100%;
    min-height: 100px;
    border-bottom: 5px solid #990099;
    margin-bottom: 5px;
}

.blockFrame {
    width: 100%;
    text-align: center;
}

.headLine #logo {
    background: url("asta_logo_rgb-179x87.png") no-repeat center top;;
    width: 100%;
    height: 100px;
}

.headLine h2 {
    text-align: center;
    width: 100%;
    margin-top: -25px;
}

.mediaBlock {
    width: 400px;
    height: 400px;
    display: inline-block;
    background-color: #990099;
    margin: 5px;
    border-radius: 5px;
    overflow: hidden;
    box-shadow: 1px 1px 2px gray, 0 0 5px lightgray, 0 0 5px black;
}

.mediaBlock .textBlock {
    text-align: left;
    margin-top: 200px;
    background-color: rgba(99, 0, 99, 0.7);
    height: 100%;
    color: white;
    padding: 5px;
}

@media (hover: hover) {
    .mediaBlock .textBlock {
        margin-top: 345px ;
    }  

.mediaBlock:hover  .textBlock {
    margin-top: 200px;
}
}

h2 {
    text-decoration: underline;
}

a {
    color: aliceblue;
    text-decoration: none !important;
}

footer{
    background-color: gainsboro;
    margin: 5px;
    border-radius: 5px;
    padding:10px;
    width: calc(100% - 30px);
}
footer a {
    color:#990099;
    margin-right: 5px;
}

@media only screen and (max-width: 400px) {
    .mediaBlock {
        width: calc(100% - 10px);
    }
}